# Oyun Parkı

​	***Proje açıklaması (sonradan düzeltilecek)***

### Kurulum

------

1. [Docker](https://docs.docker.com/get-docker/) kurulumunu yapın.
2. İmaj dosyasını iki şekilde elde edebilirsiniz.
   1. [Docker Hub](https://hub.docker.com/) sisteminde bulunan hazır imajı `docker pull nyxteam/oyunparki-small` ve `docker pull nyxteam/oyunparki-full` komutlarını kullanarak iki imajıda çalışmaya hazır bir şekilde indirebilirsiniz.
   2. Kendi bilgisayarınızda hazırlamak için kullanmak istediğiniz versiyona karar verdikten sonra `docker build -f Dockerfile.small -t nyxteam/oyunparki-small .` veya `docker build -f Dockerfile.full -t nyxteam/oyunparki-full .` komutlarını kullanarak imajları kurabilirsiniz.

### Kullanım

------

​	Aşağıdaki karşılaştırma tablosundan seçtiğiniz versiyonu çalıştırmak için ```docker run -p 5900:5900 -d -m 2g --shm-size 2g nyxteam/oyunparki-<versiyon>``` komutunu kullanabilirsiniz. Ardından seçeceğiniz spice istemcisi ile `spice://localhost:5900` adresine bağlantı kurarak grafik arayüzünü kullanabilirsiniz.

### Karşılaştırma

------

Oyun Parkı projesi iki tane ayrı versiyon barındırmaktadır. Bu versiyonlar küçük(small) ve tam(full) versiyon olarak adlandırılır.

- Oyun Parkı Tam(full)

  ​	Pardus XFCE ortamıyla gelen ve önerilen bütün paketlerin yüklü olduğu tam bir Pardus deneyimi sunar.

- Oyun Parkı Küçük(small)

  ​	Pardus XFCE ortamının çalışması için gereken minimum paketlerin yüklenmiş olduğu hızlı ve göreceli olarak küçük bir imajdır.

|                              | Tam                                                          | Küçük   |
| ---------------------------- | ------------------------------------------------------------ | ------- |
| Boyut                        | ~5 GB                                                        | ~2 GB   |
| Programlar                   | Firefox, LibreOffice, Thunderbird,GIMP, Mousepad, Pardus Store, Pinta, VLC | Hiçbiri |
| Ortalama Bellek Kullanımı    | ~400 MB                                                      | ~250 MB |
| Ortalama Kurulum Zamanı (dk) | ~10                                                          | ~5      |
|                              |                                                              |         |